{{- if $.Values.enabled -}}
{{- if $.Values.tests.performance.enabled -}}
{{- range $key, $value := .Values.subbands }}
---
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ include "ska-pst-smrb.fullname" $ }}-test-performance-subband-{{ $key }}
  labels:
    bdd-test: ska-pst-smrb
    {{- include "ska-pst-smrb.labels" $ | nindent 4 }}
spec:
  template:
    metadata:
      name: {{ include "ska-pst-smrb.fullname" $ }}-test-performance
      labels:
        {{- include "ska-pst-smrb.labels" $ | nindent 8 }}
    spec:
      {{- with $.Values.podAnnotations }}
      annotations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      hostNetwork: {{ $.Values.hostNetwork }}
      hostIPC: {{ $.Values.hostIPC }}
      {{- with $.Values.affinity }}
      affinity:
        {{- toYaml . | nindent 10 }}
      {{- end }}
      initContainers: []
      containers:
        - name: ska-pst-smrb-core
          securityContext:
            {{- toYaml $.Values.securityContext | nindent 12 }}
          image: "{{ $.Values.image.repository }}:{{ $.Values.image.tag | default $.Chart.AppVersion }}"
          command: {{ $value.command }}
          tty: {{ $value.tty }}
          args:
          {{- with $value.args }}
            {{- toYaml . | nindent 12 }}
          {{- end }}
          envFrom:
          {{- range $.Values.envFrom }}
          {{- if eq .type "configMapRef" }}
            - configMapRef:
                name: {{ .name }}
          {{- end }}
          {{- end }}
          volumeMounts:
          {{- if $value.config }}
            - name: "ska-pst-smrb-configs-{{ $key }}"
              mountPath: {{ $value.configMountPath | default $.Values.configMountPath }}
          {{- end }}
          {{- range $.Values.volumeMounts }}
            - mountPath: {{ .containerPath }}
              name: {{ .name }}
          {{- end }}
          ports:
            - containerPort: {{ $.Values.service.port }}
          {{- with $.Values.resources }}
          resources:
            {{- toYaml . | nindent 12 }}
          {{- end }}
        - name: ska-pst-smrb-reader
          securityContext:
            {{- toYaml $.Values.securityContext | nindent 12 }}
          image: "{{ $.Values.image.repository }}:{{ $.Values.image.tag | default $.Chart.AppVersion }}"
          command: ["$(SMRB_READER_CMD)"]
          args:
            - "-v"
            - "$(SMRB_CONFIG_PATH)/$(SMRB_CONFIG_FILE)"
          envFrom:
          {{- range $.Values.envFrom }}
          {{- if eq .type "configMapRef" }}
            - configMapRef:
                name: {{ .name }}
          {{- end }}
          {{- end }}
          volumeMounts:
          {{- if $value.config }}
            - name: "ska-pst-smrb-configs-{{ $key }}"
              mountPath: {{ $value.configMountPath | default $.Values.configMountPath }}
          {{- end }}
          {{- range $.Values.volumeMounts }}
            - mountPath: {{ .containerPath }}
              name: {{ .name }}
          {{- end }}
          {{- with $.Values.resources }}
          resources:
            {{- toYaml . | nindent 12 }}
          {{- end }}
        - name: ska-pst-smrb-writer
          securityContext:
            {{- toYaml $.Values.securityContext | nindent 12 }}
          image: "{{ $.Values.image.repository }}:{{ $.Values.image.tag | default $.Chart.AppVersion }}"
          command: ["$(SMRB_WRITER_CMD)"]
          args:
            - "$(SMRB_CONFIG_PATH)/$(SMRB_CONFIG_FILE)"
            - "$(SMRB_CONFIG_PATH)/$(SMRB_DATA_HEADER_FILE)"
            - "$(SMRB_CONFIG_PATH)/$(SMRB_WEIGHTS_HEADER_FILE)"
            - "-b"
            - "1024"
            - "-r"
            - "-1"
          envFrom:
          {{- range $.Values.envFrom }}
          {{- if eq .type "configMapRef" }}
            - configMapRef:
                name: {{ .name }}
          {{- end }}
          {{- end }}
          volumeMounts:
          {{- if $value.config }}
            - name: "ska-pst-smrb-configs-{{ $key }}"
              mountPath: {{ $value.configMountPath | default $.Values.configMountPath }}
          {{- end }}
          {{- range $.Values.volumeMounts }}
            - mountPath: {{ .containerPath }}
              name: {{ .name }}
          {{- end }}
          {{- with $.Values.resources }}
          resources:
            {{- toYaml . | nindent 12 }}
          {{- end }}
      {{- with $.Values.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      restartPolicy: {{ $.Values.restartPolicy }}
      {{- with $.Values.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      volumes:
      {{- if $value.config }}
        - name: "ska-pst-smrb-configs-{{ $key }}"
          configMap:
            name: "ska-pst-smrb-configs-{{ $key }}"
      {{- end }}
      {{- range $.Values.volumeMounts }}
        - name: {{ .name }}
          {{- if eq .type "hostPath" }}
          hostPath:
            path: {{ .hostPath }}
            # this field is optional
            type: Directory
          {{- else if eq .type "configMap" }}
          configMap:
            name: {{ .name }}
          {{- else if eq .type "emptyDir" }}
          emptyDir:
            name: {{ .name }}
            emptyDir: {}
          {{- end }}
      {{- end }}
{{- end }}
{{- end }}
{{- end }}